
Redmine - Feature #1365

Allow Project by Project setting of a 'Default' Tracker value including nil

2008-06-03 22:54 - James Byrne

Status: New Start date: 2008-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Presently the 'default' tracker value is determined by its UTF-8 encoding so that the tracker with lowest alphabetic value description

displays and is selected automatically if the user does not alter it.  I suggest that the default tracker be settable by project and that a

nil default be available which would mean that the user MUST select one tracker value from the available list but that none will be

preselected for them.

Related issues:

Related to Redmine - Patch #1667: Default tracker setting in each project New 2008-07-21

Related to Redmine - Feature #23309: Automatickly default tracker in new issu... New

Has duplicate Redmine - Feature #21392: Make Tracker field to be empty by def... Closed

Has duplicate Redmine - Feature #14018: Allow tracker field appear empty on n... Closed

History

#1 - 2008-08-13 15:49 - Thomas Lecavelier

- Target version deleted (0.8)

The target version field has to be set when it will actually part of the target release.

#2 - 2009-04-16 17:02 - Bobby Birks

I second this request. There's a great tendency to forget to select an appropriate tracker when a default is provided. Our development group has had

to move dozens of issues between trackers over time as a result of this.

Also, since I can't add related issues, I'll just point out the related patch in #1667

#3 - 2010-09-29 10:10 - Lucas CORBEAUX

I totaly agree : it's really easy in Redmine to set a wrong tracker with the default choice, and such feature would be great for data's consistency.

#4 - 2010-09-29 20:36 - Grégoire COUTANT

I agree too and the patch seems to "resolve" this feature. Could you it put in the next release ?

#5 - 2011-12-19 17:20 - Ján Regeš

Hi.

This patch isn't executable in Redmine version 1.2.2.

Is there a handy man to create this feature as a Redmine plugin? I'm new to Ruby :-(

Thank you.

Jan

#6 - 2012-07-27 19:40 - Pavel Kholyavkin

Can you implement this patch to Redmine? It would be great!

#7 - 2015-02-18 16:05 - Maciej Liżewski

Any updates in this area? Default tracker could really help...
#8 - 2015-03-20 08:14 - Toshi MARUYAMA

- Subject changed from Allow Project by Project setting of a 'Default' Tracker value encluding nil to Allow Project by Project setting of a 'Default'

Tracker value including nil

#9 - 2015-09-30 14:05 - John David Heinzmann

+1

Badly needed for reasons cited above.

#10 - 2015-09-30 15:22 - budo kaiman

+1

#11 - 2015-12-01 15:48 - Sebastian Paluch

+1

#12 - 2015-12-02 08:03 - Go MAEDA

- Has duplicate Feature #21392: Make Tracker field to be empty by default added

#13 - 2016-06-16 13:21 - Toshi MARUYAMA

- Has duplicate Feature #14018: Allow tracker field appear empty on new issues' creation (force user to choose tracker) added

#14 - 2016-07-22 09:51 - Tobias Fischer

This ticket should be closed as a duplicate of #1667 which already includes a patch for this.

Hopefully #1667 can make it in the next release...

#15 - 2016-08-09 18:51 - Toshi MARUYAMA

- Related to Feature #23309: Automatickly default tracker in new issue from issues list added
